裸金属管理/裸金属模板相关接口
PUTBare Metal Template Related Interfaces起始版本 3.4.0同步需要认证
修改预配置模板状态
修改预配置模板状态
调试可用性
在线调试
使用当前认证信息和示例参数提交 Mock 请求。
路径参数
请求参数
路径参数
uuidString必填资源的UUID,唯一标示该资源
请求体字段
stateEventString必填状态事件。
systemTagsList系统标签
userTagsList用户标签
响应状态
请求地址
PUT/zstack/v1/baremetal/preconfigurations/{uuid}/actions
/zstack/v1/baremetal/preconfigurations/{uuid}/actions
请求示例
curl -X PUT 'http://{host}/zstack/v1/baremetal/preconfigurations/{uuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"stateEvent":"<stateEvent>","systemTags":["<systemTags>"],"userTags":["<userTags>"]}'
响应示例
200{ "inventory": { "uuid": "edf8b9576a5d408fb135c20aa7dcefd3", "name": "centos_7_x86_64_mini_v1.cfg", "description": "centos-7-minimal kickstart file", "distribution": "centos-7-x86_64", "type": "kickstart", "content": "...", "md5sum": "f79f67ab6c3445029b187d14bf7e3b99", "isPredefined": false, "state": "Enabled", "createDate": "Aug 15, 2025 5:33:55 AM", "lastOpDate": "Aug 15, 2025 5:33:55 AM" } }变更历史
此 API 暂无变更历史记录。
